com.amazonaws.services.codecommit.model

## Class ListRepositoriesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codecommit.model.ListRepositoriesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListRepositoriesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a list repositories operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListRepositoriesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListRepositoriesResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` An enumeration token that allows the operation to batch the results of the operation.
`List<RepositoryNameIdPair>` `getRepositories()` Lists the repositories called by the list repositories operation.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` An enumeration token that allows the operation to batch the results of the operation.
`void` `setRepositories(Collection<RepositoryNameIdPair> repositories)` Lists the repositories called by the list repositories operation.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListRepositoriesResult` `withNextToken(String nextToken)` An enumeration token that allows the operation to batch the results of the operation.
`ListRepositoriesResult` `withRepositories(Collection<RepositoryNameIdPair> repositories)` Lists the repositories called by the list repositories operation.
`ListRepositoriesResult` `withRepositories(RepositoryNameIdPair... repositories)` Lists the repositories called by the list repositories operation.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListRepositoriesResult

    public ListRepositoriesResult()

### Method Detail

#### getRepositories

    public List<RepositoryNameIdPair> getRepositories()

Lists the repositories called by the list repositories operation.

Returns:
  Lists the repositories called by the list repositories operation.

#### setRepositories

    public void setRepositories(Collection<RepositoryNameIdPair> repositories)

Lists the repositories called by the list repositories operation.

Parameters:
  `repositories` - Lists the repositories called by the list repositories operation.

#### withRepositories

    public ListRepositoriesResult withRepositories(RepositoryNameIdPair... repositories)

Lists the repositories called by the list repositories operation.

NOTE: This method appends the values to the existing list (if any). Use `setRepositories(java.util.Collection)` or `withRepositories(java.util.Collection)` if you want to override the existing values.

Parameters:
  `repositories` - Lists the repositories called by the list repositories operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withRepositories

    public ListRepositoriesResult withRepositories(Collection<RepositoryNameIdPair> repositories)

Lists the repositories called by the list repositories operation.

Parameters:
  `repositories` - Lists the repositories called by the list repositories operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

Parameters:
  `nextToken` - An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

#### getNextToken

    public String getNextToken()

An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

Returns:
  An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

#### withNextToken

    public ListRepositoriesResult withNextToken(String nextToken)

An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

Parameters:
  `nextToken` - An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListRepositoriesResult clone()

Overrides:
  `clone` in class `Object`